/*
 * pxtool.c
 *
 * Copyright (C) 2008  Joshua Hoblitt
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * program; see the file COPYING. If not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <string.h>

#include "pxtools.h"

bool pxIsValidState(const char *state)
{
    PS_ASSERT_PTR_NON_NULL(state, false);
    
    if (!strcmp(state, "new")) return true;
    if (!strcmp(state, "reg")) return true;
    if (!strcmp(state, "full")) return true;
    if (!strcmp(state, "drop")) return true;
    if (!strcmp(state, "wait")) return true;
    if (!strcmp(state, "goto_cleaned")) return true;
    if (!strcmp(state, "error_cleaned")) return true;
    if (!strcmp(state, "goto_scrubbed")) return true;
    if (!strcmp(state, "error_scrubbed")) return true;
    if (!strcmp(state, "cleaned")) return true;
    if (!strcmp(state, "update")) return true;
    if (!strcmp(state, "purged")) return true;
    if (!strcmp(state, "goto_purged")) return true;
    if (!strcmp(state, "error_purged")) return true;

    return false;
}

// 'scrubbed' is a virtual state equivalent to cleaned, but allows files to be removed
// even if the config files is missing
